#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
#

Templates/Persistence/JsfFromDB=JSF Pages from Entity Classes
Templates/JSP_Servlet/JsfFromDB=JSF Pages from Entity Classes
Templates/JSF/JsfFromDB=JSF Pages from Entity Classes

LBL_WizardTitle_FromEntity=JSF Pages from Entity Classes
LBL_JSFPagesAndClasses=Generate JSF Pages and Classes
LBL_PersistenceUnitSetup=Persistence Unit Provider and Database

# Sample ResourceBundle properties file
TITLE_x_of_y={0} of {1}

# ManagedBeanPanelVisual
LBL_ConfigFile=Configuration File:
LBL_Name=Name\:
LBL_Scope=Scope\:
LBL_BeanDescription=Bean Description\:

MNE_ConfigFile=O
MNE_Name=A
MNE_Scope=S
MNE_BeanDescription=D

ACSD_ConfigurationFile=Select configuration file.
ACSD_ManagedBeanName=Name for the managed bean.
ACSD_ManagedBeanScope=Scope for the managed bean.
ACSD_BeanDescription=A textual description of the managed bean.

MSG_NoConfFileSelected=There is no configuration file. The managed bean should be defined in the configuration file.
MSG_InvalidConfigFile=The selected configuration file is not a valid JSF configuration file.
MSG_NoConfigFile=No JSF configuration file found.
MSG_InvalidBeanName=Provide valid Managed Bean name.
MSG_ExistBeanName=Managed Bean name already exists.

LBL_Servlet_Name=JSF Servlet Name\:

LBL_URL_Pattern=JSF Servlet URL Pattern\:

CB_Validate_XML=Validate XML

CB_Verify_Objects=Verify Objects

CB_Package_JARs=Package this library to WAR File

MSG_URLPatternIsEmpty=The URL Pattern has to be entered.
MSG_URLPatternIsNotValid=The URL Pattern is not valid.

MSG_NoEntityClassesSelected=Select entity classes.

ACSD_ValidateXML=Select for XML validation

ACSD_VerifyObjects=Select for the objects verification

ACSD_PackageJarToWar=Select for packaging the JARs into the WAR file

ACSD_ServletName=JSF Servlet Name

ACSD_Mapping=Servlet URL Pattern

MNE_lURLPattern=U

MNE_lServletName=N

MNE_cbValidate=X

MNE_cbVerify=O

LBL_Browse=Browse...

MNE_Browse=o
MNE_rbRegLibs=R
MNE_rbCrNewLib=C
MNE_lJSFDir=J
MNE_lJSFVer=L
MNE_rbNoAppend=D

LBL_EntityClass=Entity Class\:
LBL_JSF_pages_folder=JSF Pages Folder:
LBL_JSF_Managed_bean=Created Files\: <ClassName>Controller and <ClassName>Converter for each entity class.

MSG_Desc=Specify an existing entity class to create JSF pages from the class.
MSG_Folders=Specify the package of new JSF classes.

MNE_EntityClass=e
MNE_JSF_Pages=J
MNE_Project=P
MNE_Location=L
MNE_Package=k
MNE_Controller=c

ACSD_Browser=Browse
ACSD_JSF_Pages=JSF Pages Folder
ACSD_Project=Project
ACSD_Location=Location
ACSD_Package=Package

LBL_EntityClasses=Entity Classes
LBL_IncludeReferenced=Include Referenced Classes
LBL_Add=Add >
LBL_Remove=< Remove
LBL_AddAll=Add All >>
LBL_RemoveAll=<< RemoveAll
LBL_AvailableEntities=Available Entity Classes\:
LBL_SelectedEntities=Selected Entity Classes\:
MSG_Jsf_Pages_Location=Specify the location of new JSF pages.
MSG_FilesAlreadyExist=Files cannot be generated, some of the files already exist. Remove {0}.
ERR_MissingServer=<html>The project does not have the target server set properly.<br>Java Persistence features are server-dependent.</html>
ERR_J2ee6AndNotSufficientJ2eeServer=<html>JSF Pages for Java EE 6 sources cannot be generated without server with complete<br> J2EE 6 Web Profile support.</html>
ERR_NoPersistenceUnit=There is no persistence unit in the project yet. You need a persistence unit to persist entity classes.



LBL_Project=Project:
LBL_SrcLocation=Location:
LBL_Package=JSF Classes Package:

MNE_Add=A
MNE_Remove=R
MNE_AddAll=L
MNE_RemoveAll=M
MNE_InludeRelated=I

scanning-in-progress=Scanning in progress...

LBL_MissingJSF=A JavaServer Faces library needs to be added to the project and it is not defined in the IDE. You can define it in the Libraries tab.
LBL_SelectLibraryLocation=Select JSF location.
LBL_FileTypeInChooser=JSF library folder or JAR file
MSG_PathIsNotFaceletsFolder=The specified path is not a folder with JavaServer Faces JARs.
MSG_VersionHasToBeDefined=The version of the library has to be defined.
MSG_VersionAlreadyExist=A JavaServer Faces Library with this name is already defined.
LBL_REGISTERED_LIBRARIES=Registered Libraries\:
LBL_CREATE_NEW_LIBRARY=Create New Library
LBL_VERSION=Library Name\:
MSG_CreatingLibraries=<html>When you finish this wizard, JSF Library will be added to the IDE's Library Manager. <br>This library will contain the appropriate JARs from the JSF folder.</html>
HINT_Version=Write the JSF version (e.g. "1.1")
LBL_INSTALL_DIR=JSF Folder or JAR:
LBL_Any_Library=Server Library:
HINT_JSF_Directory=Choose JSF folder or JSF JAR in cases of version 2.1.3+.
HINT_JSF_BROWSE_BTN=Browse for JSF folder.

LBL_TAB_Configuration=Configuration
LBL_TAB_Libraries=Libraries

LBL_EmptyJSFFolder=Choose JSF folder.
LBL_EmptyNewLibraryName=Specify a library name.
LBL_AlreadyExists=A JSF library with the given name already exists.
ERR_MissingTargetServer=The project does not have the target server set properly. It is highly recommended that you set the target server before adding JavaServer Faces framework.
WARN_MissingTargetServer=<html>The project does not have the target server set properly.<br> It is highly recommended that you set the server.</html>
ERR_NoJSFLibraryFound=No Facelets Libraries Found

LBL_JsfComponentNotValid=JSF library {0} not set up properly:

ERR_UserTransactionUnavailable=The class javax.transaction.UserTransaction is unavailable. Add an appropriate JAR file in Project Properties > Libraries.
ERR_JsfTargetChooser_InvalidJsfFolder=The JSF pages folder name is invalid.
ERR_JavaTargetChooser_CantUseDefaultPackage=Provide a package name.
ERR_JavaTargetChooser_InvalidPackage=The package name is invalid.
ERR_JavaTargetChooser_UnwritablePackage=The package directory is not writable.
ERR_JavaTargetChooser_FileAlreadyExist=Files already exist in specified directories.
ERR_JavaTargetChooser_FileAlreadyExistWarning=Existing files will be overwritten.
ERR_JavaTargetChooser_MissingBundleName=Localization bundle name cannot be blank.
MSG_JsfExtensionsLibraryRequired=<html>To enable Ajax support in the generated pages you need to install the JSF Extensions (Ajax)<br>plugin from the Update Center and add the JSF Extensions library to project's classpath.</html>.
PersistenceClientSetupPanelVisual.defaultBundleName=/Bundle

ERR_GenJsfPages_CouldNotFindIdProperty=Could not find Id property.
ERR_GenJsfPages_EnsureSimpleIdNaming=Be sure the accessor method name matches the variable name.
LBL_AJAXIFY_APP=Ajax-enable generated pages
MSG_Jpa_LOC=Specify the location and package of existing or new JPA controller classes.
MSG_Jpa_Controller_Location=Specify the package of existing or new JPA controller classes and the package of JSF classes.
LBL_Jpa_Controller_Package=JPA Controller Package:
LBL_Jpa_SessionBean_Package=Session Bean Package:
MSG_Jpa_Jsf_Packages=Specify the package of existing or new EJBs and the package of JSF classes.

MSG_Progress_Jsf_Controller_Pre=Preparing to generate {0}
MSG_Progress_Jsf_Now_Generating=Generating {0}
MSG_Progress_Updating_Faces_Config=Updating {0} in faces-config.xml
MSG_Progress_Jsf_Util_Pre=Preparing to generate JSF utility classes
MSG_Progress_Jsf_Controller_Converter_Pre=Preparing to generate JSF controllers and converters
MSG_Progress_Add_Ajax_Lib=Adding Ajax library
TITLE_Progress_Jsf_Pages=Generating JSF Pages and Classes
LBL_JSF_Config_CRUD=JavaServer Faces Configuration

ACS_JSF_Config_CRUD_Panel_A11YDesc=JavaServer Faces Configuration Panel
LBL_JSF_Config_CRUD_instruction=Specify JavaServer Faces configuration and library information.
CB_ENABLE_FACELETS=Enable Facelets

#Facelets Tab
LBL_TAB_FACELETS=Facelets
LBL_Debug=Debug
LBL_Create_Example_Files=Create Example Facelets Files
LBL_Skip_Comment=Skip Comments
LBL_FacesConfiguration=JavaServer Faces Configuration
LBL_FacesMapping=Faces Suffix\:
LBL_FacesServletMapping=Faces Servlet Mapping\:
LBL_PREFERRED_LANGUAGE=Preferred Page Language:
LBL_Add_data_to_conf_file=&Add data to configuration file
LBL_FACES_CONFIG_NAME=jLabel1

PersistenceClientSetupPanelVisual.allTemplates=All Templates
PersistenceClientSetupPanelVisual.viewTemplate=View.xhtml Template
PersistenceClientSetupPanelVisual.editTemplate=Edit.xhtml Template
PersistenceClientSetupPanelVisual.createTemplate=Create.xhtml Template
PersistenceClientSetupPanelVisual.listTemplate=List.xhtml Template
PersistenceClientSetupPanelVisual.utilTemplate=JsfUtil.java Template
PersistenceClientSetupPanelVisual.bundleTemplate=Bundle.properties Template
PersistenceClientSetupPanelVisual.controllerTemplate=EntityController.java Template
PersistenceClientSetupPanelVisual.paginationTemplate=PaginationHelper.java Template
LBL_COMPONENT_NAME=Component Name:
LBL_IMPLEMENTATION=Implementation Section:
LBL_CREATED_FILE=jLabel3
PersistenceClientSetupPanelVisual.localizationBundle=Localization Bundle Name:
PersistenceClientSetupPanelVisual.overrideExistingFiles=Override existing files
PersistenceClientSetupPanelVisual.customizeTemplate=<html><u>Customize Template</u>;
SERVER_INSTANCE_REMOVED=Server Instance removed

LBL_Layout=Layout Style\:
LBL_CSS_Layout=CSS
LBL_Table_Layout=Table

USG_PERSISTENCE_JSF=JSF Pages was created for {0} Entity Classes

LBL_Browse_Mnemonic=R
ACSD_Browse=Browse directories

LBL_RootTag=Generated Root Tag\:

LBL_SelectTemplate=Template\:

MSG_NoTemplateSelected=Select a template for which the client will be generated.
MSG_NoFaceletsTemplate=The file is not valid Facelets Template.
MSG_TemplateHasToBeFile=The Facelets Template has to be a file.
MSG_EneterExistingTemplate=Select an existing Facelets Template.
A11Y_FileName_mnem=N
A11Y_CreatedFile_mnem=C
LBL_CreatedFile=Created File\:
LBL_Prefix=Prefix\:
A11Y_Prefix_mnem=x
LBL_Folder=Folder\:
A11Y_Folder_mnem=O
LBL_Location=Location:
A11Y_Location_mnem=L
A11Y_Project_mnem=P
LBL_JspName=File Name\:
A11Y_DESC_FileName=Enter the file name here.
A11Y_DESC_Project=This is the project name where file will be created (non-editable).
A11Y_DESC_Location=Select the folder root.
A11Y_DESC_Folder=Enter the folder path here (separate folder names by slash characters).
A11Y_DESC_CreatedFile=This is the file absolute path (non-editable).
ERR_Not_JSF20=Not JSF 2.0
ERR_No_resources_folder=Composite Component must be stored under resources folder
ERR_No_component_folder=Provide folder for Component under resources folder
ERR_Wrong_Filename=The File Name is not valid.
ERR_Wrong_Foldername=The Folder Name is not valid.
LBL_SimpleTargetChooserPanel_Name=Name and Location

ERR_NO_SETTERS_CONVERTER={0} // TODO: no setter methods were found in your primary key class\n{0}//    {1} \n {0} // and therefore {2} method could not be pre-generated.\n
ERR_NO_SETTERS_CONTROLLER={0} // TODO: no setter methods were found in your primary key class\n{0}//    {1} \n {0} // and therefore initialization code need manual adjustments.\n

MSG_Invalid_Selection=The selected area contains unbalanced or partial JSF tags.
MSG_Already_Used_Prefix=The namespace prefix {0} is already used.
MSG_Library_Prefix_Empty=The library prefix cannot be empty.
A11Y_Library_Prefix=Enter a library prefix here.

MSG_No_Sources_found=No Java Source Folders Found

MSG_From=from
MSG_MissingDocBase=No web folder found.

LBL_TAB_Components=Components
LBL_AVAILABLE_Components=Available components:
LBL_NONE_Components=Do not include any components libraries
LBL_JSF_Components=Components Suite:
LBL_JSF_Components_Desc_New_Project=Select JSF component suites to set up for your web application.
LBL_JSF_Components_Desc_Customizer=JSF component suites included in your web application.

LBL_MoreButton=More...

ERR_CreateFacesConfig=Cannot create faces configuration: {0}
ERR_UpdateFacesConfig=Cannot update faces configuration: {0}